Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Class MD5RandomBitsSource

`java.lang.Object
oracle.security.crypto.core.RandomBitsSource
oracle.security.crypto.core.DigestRandomBitsSource
oracle.security.crypto.core.MD5RandomBitsSource`

public class MD5RandomBitsSource
extends DigestRandomBitsSource

A PRNG based on the design pattern in Schneier's Applied Cryptography, using the MD5 hash algorithm as a mixing and output primitive.

See Also:
  `EntropySource`, `DigestRandomBitsSource`, `SHA1RandomBitsSource`

Constructor Summary
`MD5RandomBitsSource()` Create a new, seeded `MD5RandomBitsSource`.
`MD5RandomBitsSource(boolean seed)` Create a new, optionally seeded `MD5RandomBitsSource`.

Methods inherited from class oracle.security.crypto.core.DigestRandomBitsSource
`clear, initialize, randomByte, randomBytes, seed, seed, seed, seed`

Methods inherited from class oracle.security.crypto.core.RandomBitsSource
`getDefault, randomBigInteger, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MD5RandomBitsSource

    public MD5RandomBitsSource()

  Create a new, seeded `MD5RandomBitsSource`.

### MD5RandomBitsSource

    public MD5RandomBitsSource(boolean seed)

  Create a new, optionally seeded `MD5RandomBitsSource`.
Parameters:
  `seed` - If `true`, `DigestRandomBitsSource.seed()` will be invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.